Library Version 12.1.6.0

operator=
Prev | Chapter 16. Db_map_iterator | Next

## operator=

### Function Details

    const self& operator=(const self &itr)

Assignment operator.

This iterator will point to the same key/data pair as itr, and have the same configurations as itr.

#### Parameters

##### itr

The right value of assignment.

#### Return Value

The reference of itr.

#### See Also

db_base_iterator::operator=(const self&)

### Class

db_map_iterator

Prev | Up | Next
refresh | Home | Chapter 17. Iterator Classes for db_set and db_multiset